Lấy danh sách nhóm đặc sắc
curl --request GET \
--url https://api.fireant.vn/rooms/top/featured \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/rooms/top/featured"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/rooms/top/featured', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/rooms/top/featured",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/rooms/top/featured"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/rooms/top/featured")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/rooms/top/featured")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"roomID": 123,
"status": 123,
"privacy": 123,
"visibility": 123,
"name": "<string>",
"description": "<string>",
"approved": true,
"createdDate": "2023-11-07T05:31:56Z",
"promotionLevel": 123,
"invitationID": 123,
"requestID": 123,
"role": 123,
"blocked": true,
"verified": true,
"lastActivityDate": "2023-11-07T05:31:56Z",
"topics": [
{
"topicID": 123,
"name": "<string>",
"description": "<string>"
}
],
"symbols": [
{
"symbol": "<string>",
"weight": 123
}
]
}
]Rooms
Lấy danh sách nhóm đặc sắc
GET
/
rooms
/
top
/
featured
Lấy danh sách nhóm đặc sắc
curl --request GET \
--url https://api.fireant.vn/rooms/top/featured \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/rooms/top/featured"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/rooms/top/featured', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/rooms/top/featured",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/rooms/top/featured"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/rooms/top/featured")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/rooms/top/featured")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"roomID": 123,
"status": 123,
"privacy": 123,
"visibility": 123,
"name": "<string>",
"description": "<string>",
"approved": true,
"createdDate": "2023-11-07T05:31:56Z",
"promotionLevel": 123,
"invitationID": 123,
"requestID": 123,
"role": 123,
"blocked": true,
"verified": true,
"lastActivityDate": "2023-11-07T05:31:56Z",
"topics": [
{
"topicID": 123,
"name": "<string>",
"description": "<string>"
}
],
"symbols": [
{
"symbol": "<string>",
"weight": 123
}
]
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số truy vấn
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công
Show child attributes
Show child attributes
Show child attributes
Show child attributes